# DataExchange
TKSTEPBase
RWStepBasic

# RWStepBasic_RWSiUnit Class Reference

Read & Write Module for SiUnit
.

`#include <RWStepBasic_RWSiUnit.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepBasic_RWSiUnit ()
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepBasic_SiUnit)&ent) const
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepBasic_SiUnit)&ent) const
Standard_EXPORT Standard_Boolean | DecodePrefix (StepBasic_SiPrefix &aPrefix, const Standard_CString text) const
Standard_EXPORT Standard_Boolean | DecodeName (StepBasic_SiUnitName &aName, const Standard_CString text) const
Standard_EXPORT TCollection_AsciiString | EncodePrefix (const StepBasic_SiPrefix aPrefix) const
Standard_EXPORT TCollection_AsciiString | EncodeName (const StepBasic_SiUnitName aName) const

## Constructor & Destructor Documentation

Standard_EXPORT RWStepBasic_RWSiUnit::RWStepBasic_RWSiUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean RWStepBasic_RWSiUnit::DecodeName | ( | StepBasic_SiUnitName & | aName,
|  | const Standard_CString | text
| ) | const

Standard_EXPORT Standard_Boolean RWStepBasic_RWSiUnit::DecodePrefix | ( | StepBasic_SiPrefix & | aPrefix,
|  | const Standard_CString | text
| ) | const

Standard_EXPORT TCollection_AsciiString RWStepBasic_RWSiUnit::EncodeName | ( | const StepBasic_SiUnitName | aName | ) | const

Standard_EXPORT TCollection_AsciiString RWStepBasic_RWSiUnit::EncodePrefix | ( | const StepBasic_SiPrefix | aPrefix | ) | const

void RWStepBasic_RWSiUnit::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepBasic_RWSiUnit::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepBasic_RWSiUnit::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepBasic_RWSiUnit::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepBasic_SiUnit)& | ent
| ) | const

Standard_EXPORT void RWStepBasic_RWSiUnit::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepBasic_SiUnit)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepBasic_RWSiUnit.hxx